LFR-FSW - Bug #177

EM : Envoi TC_LFR_LOAD_SBMx_PARAM est interdit en mode SBM1 et SBM2
20/06/2014 09:43 AM - Veronique bouzid

Status: Closed Start date: 20/06/2014
Priority: Immediate Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

EN mode SBM1 et SBM2, on ne peut envoyer de TC_LFR_LOAD_SBM1_PARAM et TC_LFR_LOAD_SBM2_PARAM.
Gérald a décrit un tableau dans le requirement REQ-LFR-SRS-5207_Ed1 qui récapitule
ce que les TC autorisées en fct du mode de LFR et celui du DAS.

--> |l faut donc générer des TM_LFR_TC_EXE_NOT_EXECUTABLE au lieu des TM_LFR_TC_EXE_SUCCESS
Voici les traces

en SBM1

on ne doit pas accepter de changer les parametres du SBM2

-->repondre TM_LFR_TC_EXE_NOT_EXECUTABLE et non une TM_LFR_TC_EXE_SUCCESS

14:21:30.394448, TM_LFR_HK, HK_LFR_MODE: SBM1 =3

14:21:30.803258, TC_LFR_LOAD_SBM2_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=9018, (PACKET_SEQUENCE_CONTROL=0xe33a), PACKET_LENGTH=7,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_SBM2_PARAMETERS = 27, SOURCE_ID: MISSION_TIMELINE =
110, SY_LFR_S2_BP_P0 =1, SY_LFR_S2_BP_P1 =5, CRC = 0x76fa

14:21:30.894486, TM_LFR_TC_EXE_SUCCESS, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=111,
(PACKET_SEQUENCE_CONTROL=0xc06f), PACKET_LENGTH=13, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_SUCCESS =7,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x8000001cbbc3, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc,
PA_RPW_PKT_SEQ_CONTROL=0xe33a

on ne doit pas accepter de changer les parametres du SBM1
-->repondre TM_LFR_TC_EXE_NOT_EXECUTABLE et non une TM_LFR_TC_EXE_SUCCESS

14:21:33.294332, TM_LFR_HK, HK_LFR_MODE: SBM2 = 4

14:21:33.697692, TC_LFR_LOAD_SBM1_PAR, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET = 1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET _CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=6413, (PACKET SEQUENCE_CONTROL=0xd90d), PACKET LENGTH=7,
CCSDS_SECONDARY_ HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_SBM1_PARAMETERS = 25, SOURCE_ID: MISSION_TIMELINE =
110, SY_LFR_S1 BP_PO0 = 0.25(s), SY_LFR_S1_BP_P1 = 1(s), CRC = Oxa7e5

14:21:33.794294, TM_LFR_TC_EXE_SUCCESS, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=121,
(PACKET _SEQUENCE_CONTROL=0xc079), PACKET LENGTH=13, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_SUCCESS =7,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x8000001f9¢39, PA_ RPW_TELECOMMAND_PKT_ID=0x1ccc,

PA_RPW _PKT _SEQ_CONTROL=0xd90d
Contexte:

SocExplorerEngine.getSocExplorer: Version = 0.2.2, Branch = default, Changeset = c839740ef520
Carte EM

Vhdl: EM_1.1.23

Brique Star-Dundee S/N <illisible>.

Soft:1.0.0.11 (variante sur carte finale)

TEST CASE = SVS-0007
le fichierd'analyse est /home/validation/data/R2/SVS-0007/2014_06_19-14_21_35-Detail.txt

History

#1 - 20/06/2014 03:39 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

fsw >=1.0.0.12

Correction effectuée en méme temps que la correction du Bug #176, vérification manuelle avec SocExplorer.

#2 - 23/06/2014 02:10 PM - Veronique bouzid
- Assignee changed from Veronique bouzid to paul leroy

- Priority changed from Normal to Immediate

test rejoué en 1.0.0.12

PAS CORRIGE
Le test analysé est le SVS-0007 mais le pb est également sur le SVS-0003

La trace en SBM1

13:09:16.498187, TC_LFR_ENTER_MODE (CP_LFR_MODE=3)

13:09:18.618335, TC_LFR_LOAD_SBM2_PAR

13:09:18.61965, TM_LFR_SCIENCE_SBM1_CWF_F1

13:09:18.624082, TM_LFR_SCIENCE_SBM1_CWF_F1

13:09:18.640307, TM_LFR_SCIENCE_SBM1_CWF_F1

13:09:18.645182, TM_LFR_SCIENCE_SBM1_CWF_F1

13:09:18.650887, TM_LFR_SCIENCE_SBM1_CWF_F1

13:09:18.689232, TM_LFR_TC_EXE_SUCCESS NON doit etre NOT_EXECUTABLE

la trace en SBM2

13:09:19.624522, TC_LFR_ENTER_MODE (CP_LFR_MODE=4)

13:09:21.493351, TC_LFR_LOAD_SBM1_PAR

13:09:21.589236, TM_LFR_TC_EXE_SUCCESS NON doit etre NOT_EXECUTABLE

#3 - 24/06/2014 08:21 AM - Veronique bouzid
- Status changed from New to Closed

- Assignee changed from paul leroy to Veronique bouzid

Suite a la discussion avec Paul, il est décidé de ne pas modifier le comportement actuel de LFR
- On accepte donc d'autoriser en SBM1 la rceeption de la TC_LFR_LOAD_SBM2_PAR et vis et versa.

Dans la SSS-CP-DAS-527 et SSS-CP-DAS-528 le DAS n'autorisera pas cette action.

23/04/2024

22



https://hephaistos.lpp.polytechnique.fr/redmine/issues/176
http://www.tcpdf.org

